package ink.wgink.module.activiti.pojo.dtos.oa;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: OaTaskDTO
 * @Description: oa任务
 * @Author: wanggeng
 * @Date: 2022/3/23 09:33
 * @Version: 1.0
 */
@ApiModel
public class OaTaskDTO {

    @ApiModelProperty(name = "taskId", value = "任务ID")
    private String taskId;
    @ApiModelProperty(name = "taskName", value = "任务名称")
    private String taskName;
    @ApiModelProperty(name = "taskDescription", value = "任务描述")
    private String taskDescription;
    @ApiModelProperty(name = "formCode", value = "表单编码")
    private String formCode;
    @ApiModelProperty(name = "formVersion", value = "表单版本")
    private Integer formVersion;
    @ApiModelProperty(name = "getFormKey", value = "动态表单ID")
    private String getFormKey;
    @ApiModelProperty(name = "reportUid", value = "上报表单UID")
    private String reportUid;
    @ApiModelProperty(name = "mainTitle", value = "上报表单主标题")
    private String mainTitle;
    @ApiModelProperty(name = "owner", value = "所有者")
    private String owner;
    @ApiModelProperty(name = "taskDefinitionKey", value = "任务定义Key")
    private String taskDefinitionKey;
    @ApiModelProperty(name = "processDefinitionId", value = "流程定义ID")
    private String processDefinitionId;
    @ApiModelProperty(name = "processInstanceId", value = "流程实例ID")
    private String processInstanceId;
    @ApiModelProperty(name = "processName", value = "流程名称")
    private String processName;
    @ApiModelProperty(name = "isNeedClaim", value = "是否需要认领")
    private Integer isNeedClaim;
    @ApiModelProperty(name = "startUserId", value = "发起人用户ID")
    private String startUserId;
    @ApiModelProperty(name = "startUserName", value = "发起人昵称")
    private String startUserName;
    @ApiModelProperty(name = "startUserDepartmentIds", value = "发起人部门ID")
    private String startUserDepartmentIds;
    @ApiModelProperty(name = "startUserDepartmentNames", value = "发起人部门名称")
    private String startUserDepartmentNames;
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private String createTime;
    @ApiModelProperty(name = "processStartTime", value = "流程开始时间")
    private String processStartTime;

    public String getTaskId() {
        return taskId == null ? "" : taskId.trim();
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName == null ? "" : taskName.trim();
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskDescription() {
        return taskDescription == null ? "" : taskDescription.trim();
    }

    public void setTaskDescription(String taskDescription) {
        this.taskDescription = taskDescription;
    }

    public String getFormCode() {
        return formCode == null ? "" : formCode.trim();
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public Integer getFormVersion() {
        return formVersion == null ? 0 : formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }

    public String getGetFormKey() {
        return getFormKey == null ? "" : getFormKey.trim();
    }

    public void setGetFormKey(String getFormKey) {
        this.getFormKey = getFormKey;
    }

    public String getReportUid() {
        return reportUid == null ? "" : reportUid.trim();
    }

    public void setReportUid(String reportUid) {
        this.reportUid = reportUid;
    }

    public String getMainTitle() {
        return mainTitle == null ? "" : mainTitle.trim();
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public String getOwner() {
        return owner == null ? "" : owner.trim();
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getTaskDefinitionKey() {
        return taskDefinitionKey == null ? "" : taskDefinitionKey.trim();
    }

    public void setTaskDefinitionKey(String taskDefinitionKey) {
        this.taskDefinitionKey = taskDefinitionKey;
    }

    public String getProcessDefinitionId() {
        return processDefinitionId == null ? "" : processDefinitionId.trim();
    }

    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId;
    }

    public String getProcessInstanceId() {
        return processInstanceId == null ? "" : processInstanceId.trim();
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public String getProcessName() {
        return processName == null ? "" : processName.trim();
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public Integer getIsNeedClaim() {
        return isNeedClaim == null ? 0 : isNeedClaim;
    }

    public void setIsNeedClaim(Integer isNeedClaim) {
        this.isNeedClaim = isNeedClaim;
    }

    public String getStartUserId() {
        return startUserId == null ? "" : startUserId.trim();
    }

    public void setStartUserId(String startUserId) {
        this.startUserId = startUserId;
    }

    public String getStartUserName() {
        return startUserName == null ? "" : startUserName.trim();
    }

    public void setStartUserName(String startUserName) {
        this.startUserName = startUserName;
    }

    public String getStartUserDepartmentIds() {
        return startUserDepartmentIds == null ? "" : startUserDepartmentIds.trim();
    }

    public void setStartUserDepartmentIds(String startUserDepartmentIds) {
        this.startUserDepartmentIds = startUserDepartmentIds;
    }

    public String getStartUserDepartmentNames() {
        return startUserDepartmentNames == null ? "" : startUserDepartmentNames.trim();
    }

    public void setStartUserDepartmentNames(String startUserDepartmentNames) {
        this.startUserDepartmentNames = startUserDepartmentNames;
    }

    public String getCreateTime() {
        return createTime == null ? "" : createTime.trim();
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getProcessStartTime() {
        return processStartTime == null ? "" : processStartTime.trim();
    }

    public void setProcessStartTime(String processStartTime) {
        this.processStartTime = processStartTime;
    }
}
